package com.hzya.frame.sys.defultField.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.defultField.dao.IDefultFieldMapper;
import com.hzya.frame.sys.defultField.entity.DefultField;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 系统默认字段  dao
 * @tableName: sys_defult_field
 * @entityName: DefultField
 * @author: gjh
 * @history:1.0
 */
@Service
public class DefultFieldMapperImpl extends MybatisGenericDao<DefultField, String> implements IDefultFieldMapper {

    @Override
    public DefultField entity_get(String id) {

        DefultField o = (DefultField) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<DefultField> entity_list_base(DefultField entity) {
        List<DefultField> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(DefultField entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<DefultField> entity_list_like(DefultField entity) {
        List<DefultField> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;
    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<DefultField> entity_list_or(DefultField entity) {

        List<DefultField> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public DefultField entity_insert(DefultField entity) {
        entity = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return entity;
    }

    //修改  entity_update
    @Override
    public Integer entity_update(DefultField entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(DefultField entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(DefultField entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(DefultField entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
